diff --git a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
index 4d46bf2ca..5165626fb 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -1256,102 +1093,91 @@ public abstract class Player
         setPlayerSleeping(x, y, z);
         return EnumSleepStatus.OK;
     }
-    
+
     private void setPlayerSleeping(int x, int y, int z) {
         setSize(0.2F, 0.2F);
-        if(world.isBlockLoaded(x, y, z))
-        {
-            int meta = world.getBlockMetadata(x, y, z);
+        if (this.world.isBlockLoaded(x, y, z)) {
+            int meta = this.world.getBlockMetadata(x, y, z);
             int dir = BlockLogicBed.getDirection(meta);
             float xOff = 0.5F;
             float zOff = 0.5F;
-            
-            if(dir == 0) {
+
+            if (dir == 0) {
                 zOff = 0.9f;
-            }else if(dir == 1) {
+            } else if (dir == 1) {
                 xOff = 0.1f;
-            }else if(dir == 2) {
+            } else if (dir == 2) {
                 zOff = 0.1f;
-            }else if(dir == 3) {
+            } else if (dir == 3) {
                 xOff = 0.9f;
             }
-            
+
             func_22052_e(dir);
             setPos(x + xOff, y + 0.9375F, z + zOff);
         } else {
             setPos(x + 0.5F, y + 0.9375F, z + 0.5F);
         }
-        sleeping = true;
-        sleepTimer = 0;
+        this.sleeping = true;
+        this.sleepTimer = 0;
 
-        xd = zd = yd = 0.0;
-    	bedTilePos = new TilePos(x, y, z);
-        if(!world.isClientSide) {
-            world.updateEnoughPlayersSleepingFlag(this);
+        this.xd = this.zd = this.yd = 0.0;
+        this.bedTilePos = new TilePos(x, y, z);
+        if (!this.world.isClientSide) {
+            this.world.updateEnoughPlayersSleepingFlag(this);
         }
     }
 
-    private void func_22052_e(int i)
-    {
-        sleepOffX = 0.0F;
-        sleepOffZ = 0.0F;
-        switch(i)
-        {
-        case 0: // '\0'
-            sleepOffZ = -1.8F;
-            break;
+    private void func_22052_e(int i) {
+        this.sleepOffX = 0.0F;
+        this.sleepOffZ = 0.0F;
+        switch (i) {
+            case 0: // '\0'
+                this.sleepOffZ = -1.8F;
+                break;
 
-        case 2: // '\002'
-            sleepOffZ = 1.8F;
-            break;
+            case 2: // '\002'
+                this.sleepOffZ = 1.8F;
+                break;
 
-        case 1: // '\001'
-            sleepOffX = 1.8F;
-            break;
+            case 1: // '\001'
+                this.sleepOffX = 1.8F;
+                break;
 
-        case 3: // '\003'
-            sleepOffX = -1.8F;
-            break;
+            case 3: // '\003'
+                this.sleepOffX = -1.8F;
+                break;
         }
     }
 
-    public void wakeUpPlayer(boolean flag, boolean flag1)
-    {
+    public void wakeUpPlayer(boolean flag, boolean flag1) {
         setupScale();
-        TilePos bedPos = bedTilePos;
+        TilePos bedPos = this.bedTilePos;
         Block<?> b;
-        if(bedPos != null && (b = world.getBlock(bedPos)) != null && b.getLogic() instanceof BlockLogicBed)
-        {
-            BlockLogicBed.setBedOccupied(world, bedPos, false);
-            TilePos emptyPos = BlockLogicBed.getNearestEmptyTilePos(world, bedPos, 0);
-            if(emptyPos == null)
-            {
-                emptyPos = bedPos.up();
+        if (bedPos != null && (b = this.world.getBlock(bedPos)) != null && b.getLogic() instanceof BlockLogicBed) {
+            BlockLogicBed.setBedOccupied(this.world, bedPos, false);
+            TilePos emptyPos = BlockLogicBed.getNearestEmptyTilePos(this.world, bedPos, 0);
+            if (emptyPos == null) {
+                emptyPos = bedPos.up(new TilePos());
             }
-            setPos((float)emptyPos.x + 0.5F, (float)emptyPos.y + heightOffset + 0.1F, (float)emptyPos.z + 0.5F);
+            setPos((float) emptyPos.x + 0.5F, (float) emptyPos.y + this.heightOffset + 0.1F, (float) emptyPos.z + 0.5F);
         }
-        sleeping = false;
-        if(!world.isClientSide && flag1)
-        {
-            world.updateEnoughPlayersSleepingFlag(this);
+        this.sleeping = false;
+        if (!this.world.isClientSide && flag1) {
+            this.world.updateEnoughPlayersSleepingFlag(this);
         }
-        if(flag)
-        {
-            sleepTimer = 0;
-        } else
-        {
-            sleepTimer = 100;
+        if (flag) {
+            this.sleepTimer = 0;
+        } else {
+            this.sleepTimer = 100;
         }
     }
 
-    private boolean isInBed()
-    {
+    private boolean isInBed() {
         Block<?> b;
-        return (b = world.getBlock(bedTilePos.x, bedTilePos.y, bedTilePos.z)) != null && b.getLogic() instanceof BlockLogicBed;
+        return (b = this.world.getBlock(this.bedTilePos.x, this.bedTilePos.y, this.bedTilePos.z)) != null && b.getLogic() instanceof BlockLogicBed;
     }
 
-    public static @Nullable TilePos getValidBedSpawnCoordinates(@NotNull final World world, @NotNull final TilePos coords)
-    {
+    public static @Nullable TilePos getValidBedSpawnCoordinates(@NotNull final World world, @NotNull final TilePos coords) {
         final IChunkProvider chunkProvider = world.getChunkProvider();
         chunkProvider.setCurrentChunkOver(coords.x >> 4, coords.z >> 4);
         chunkProvider.prepareChunk(coords.x - 3 >> 4, coords.z - 3 >> 4);
@@ -1365,204 +1191,161 @@ public abstract class Player
         }
     }
 
-    public float getBedOrientationInDegrees()
-    {
-        if(bedTilePos != null)
-        {
-            int i = world.getBlockMetadata(bedTilePos.x, bedTilePos.y, bedTilePos.z);
+    public float getBedOrientationInDegrees() {
+        if (this.bedTilePos != null) {
+            int i = this.world.getBlockMetadata(this.bedTilePos.x, this.bedTilePos.y, this.bedTilePos.z);
             int j = BlockLogicBed.getDirection(i);
-            switch(j)
-            {
-            case 0: // '\0'
-                return 90F;
+            switch (j) {
+                case 0: // '\0'
+                    return 90F;
 
-            case 1: // '\001'
-                return 0.0F;
+                case 1: // '\001'
+                    return 0.0F;
 
-            case 2: // '\002'
-                return 270F;
+                case 2: // '\002'
+                    return 270F;
 
-            case 3: // '\003'
-                return 180F;
+                case 3: // '\003'
+                    return 180F;
             }
         }
         return 0.0F;
     }
 
     @Override
-    public boolean isPlayerSleeping()
-    {
-        return sleeping;
+    public boolean isPlayerSleeping() {
+        return this.sleeping;
     }
 
-    public boolean isPlayerFullyAsleep()
-    {
-        return sleeping && sleepTimer >= 100;
+    public boolean isPlayerFullyAsleep() {
+        return this.sleeping && this.sleepTimer >= 100;
     }
 
-    public int getSleepTimer()
-    {
-        return sleepTimer;
+    public int getSleepTimer() {
+        return this.sleepTimer;
     }
 
     /**
      * Translate the string and send it to this player
      */
     public void sendTranslatedChatMessage(String message) {
-    	sendMessage(I18n.getInstance().translateKey(message));
+        sendMessage(I18n.getInstance().translateKey(message));
     }
-    
+
     /**
      * Send a string to this player, displayed in chat
      */
     public abstract void sendMessage(String message);
-    
+
     /**
      * Send a string to this player, displayed above the hotbar
      */
     public abstract void sendStatusMessage(String message);
 
     @Override
-    public ItemStack getHeldItem()
-    {
-        return inventory.getCurrentItem();
+    public ItemStack getHeldItem() {
+        return this.inventory.getCurrentItem();
     }
 
     @Override
     public boolean isLeftHanded() {
-        return playerConfig.isLeftHand();
+        return this.playerConfig.isLeftHand();
     }
 
     @Override
     public void setHeldItem(@Nullable ItemStack item) {
-        inventory.setCurrentItem(item, true);
+        this.inventory.setCurrentItem(item, true);
     }
 
-    public void updateCreativeInventory(int page, String searchText)
-    {
+    public void updateCreativeInventory(int page, String searchText) {
     }
 
-    public @Nullable TilePos getPlayerSpawnPoint()
-    {
+    public @Nullable TilePos getPlayerSpawnPoint() {
         return this.playerSpawnPoint;
     }
 
-    public void setPlayerSpawnPoint(TilePos spawnCoords)
-    {
-        if(spawnCoords != null)
-        {
-            playerSpawnPoint = new TilePos(spawnCoords);
-        } else
-        {
-            playerSpawnPoint = null;
+    public void setPlayerSpawnPoint(TilePos spawnCoords) {
+        if (spawnCoords != null) {
+            this.playerSpawnPoint = new TilePos(spawnCoords);
+        } else {
+            this.playerSpawnPoint = null;
         }
     }
 
-    public void triggerAchievement(Stat statbase)
-    {
+    public void triggerAchievement(Stat statbase) {
         addStat(statbase, 1);
     }
 
-    public void addStat(Stat statbase, int i)
-    {
+    public void addStat(Stat statbase, int i) {
     }
-    
-    public int getStat(Stat statbase)
-    {
+
+    public int getStat(Stat statbase) {
         return 0;
     }
 
     @Override
-    protected void jump()
-    {
+    protected void jump() {
         super.jump();
         addStat(StatList.jumpStat, 1);
     }
 
     @Override
-    public void moveEntityWithHeading(float moveStrafing, float moveForward)
-    {
-        double d = x;
-        double d1 = y;
-        double d2 = z;
+    public void moveEntityWithHeading(float moveStrafing, float moveForward) {
+        double d = this.x;
+        double d1 = this.y;
+        double d2 = this.z;
         super.moveEntityWithHeading(moveStrafing, moveForward);
-        addMovementStat(x - d, y - d1, z - d2);
+        addMovementStat(this.x - d, this.y - d1, this.z - d2);
     }
 
-    private void addMovementStat(double d, double d1, double d2)
-    {
-        if(vehicle != null)
-        {
+    private void addMovementStat(double d, double d1, double d2) {
+        if (this.vehicle != null) {
             return;
         }
-        if(isUnderLiquid(Material.water))
-        {
+        if (isUnderLiquid(Materials.WATER)) {
             int i = java.lang.Math.round(MathHelper.sqrt(d * d + d1 * d1 + d2 * d2) * 100F);
-            if(i > 0)
-            {
+            if (i > 0) {
                 addStat(StatList.distanceDoveStat, i);
             }
-        } else
-        if(isInWater())
-        {
+        } else if (isInWater()) {
             int j = java.lang.Math.round(MathHelper.sqrt(d * d + d2 * d2) * 100F);
-            if(j > 0)
-            {
+            if (j > 0) {
                 addStat(StatList.distanceSwumStat, j);
-                if (dimension == Dimension.NETHER.id) {
+                if (this.dimension == Dimension.NETHER.id) {
                     addStat(Achievements.SWIM_NETHER, 1);
                 }
             }
-        } else
-        if(canClimb())
-        {
-            if(d1 > 0.0D)
-            {
+        } else if (canClimb()) {
+            if (d1 > 0.0D) {
                 addStat(StatList.distanceClimbedStat, (int) java.lang.Math.round(d1 * 100D));
             }
-        } else
-        if(onGround)
-        {
+        } else if (this.onGround) {
             int k = java.lang.Math.round(MathHelper.sqrt(d * d + d2 * d2) * 100F);
-            if(k > 0)
-            {
+            if (k > 0) {
                 addStat(StatList.distanceWalkedStat, k);
             }
-        } else
-        {
+        } else {
             int l = java.lang.Math.round(MathHelper.sqrt(d * d + d2 * d2) * 100F);
-            if(l > 25)
-            {
+            if (l > 25) {
                 addStat(StatList.distanceFlownStat, l);
             }
         }
     }
 
-    private void addMountedMovementStat(double d, double d1, double d2)
-    {
-        if(vehicle != null)
-        {
+    private void addMountedMovementStat(double d, double d1, double d2) {
+        if (this.vehicle != null) {
             int i = java.lang.Math.round(MathHelper.sqrt(d * d + d1 * d1 + d2 * d2) * 100F);
-            if(i > 0)
-            {
-                if(vehicle instanceof EntityMinecart)
-                {
+            if (i > 0) {
+                if (this.vehicle instanceof EntityMinecart) {
                     addStat(StatList.distanceByMinecartStat, i);
-                    if(startMinecartRidingPoint == null)
-                    {
-                        startMinecartRidingPoint = new TilePos(this);
-                    } else
-                    if(startMinecartRidingPoint.distToSq(this) >= 1000D)
-                    {
+                    if (this.startMinecartRidingPoint == null) {
+                        this.startMinecartRidingPoint = new TilePos(this);
+                    } else if (this.startMinecartRidingPoint.distanceSquared(this) >= 1000D) {
                         addStat(Achievements.ON_A_RAIL, 1);
                     }
-                } else
-                if(vehicle instanceof EntityBoat)
-                {
+                } else if (this.vehicle instanceof EntityBoat) {
                     addStat(StatList.distanceByBoatStat, i);
-                } else
-                if(vehicle instanceof MobPig)
-                {
+                } else if (this.vehicle instanceof MobPig) {
                     addStat(StatList.distanceByPigStat, i);
                 }
             }
@@ -1570,207 +1353,189 @@ public abstract class Player
     }
 
     @Override
-	protected void causeFallDamage(float distance)
-    {
-        if(distance >= 2.0F)
-        {
+    protected void causeFallDamage(float distance) {
+        if (distance >= 2.0F) {
             addStat(StatList.distanceFallenStat, (int) java.lang.Math.round((double) distance * 100D));
         }
         super.causeFallDamage(distance);
     }
 
     @Override
-	public void killed(Mob mob)
-    {
-        if(mob instanceof MobMonster)
-        {
+    public void killed(Mob mob) {
+        if (mob instanceof MobMonster) {
             triggerAchievement(Achievements.KILL_ENEMY);
         }
     }
 
     @Override
-	public void handlePortal(int portalBlockId, DyeColor portalColor)
-    {
-        if(timeUntilPortal > 0)
-        {
-            timeUntilPortal = 10;
-        }
-        else
-        {
-        	this.portalID = portalBlockId;
+    public void handlePortal(int portalBlockId, DyeColor portalColor) {
+        if (this.timeUntilPortal > 0) {
+            this.timeUntilPortal = 10;
+        } else {
+            this.portalID = portalBlockId;
             this.portalColor = portalColor;
-            inPortal = true;
+            this.inPortal = true;
         }
     }
-    
+
     @Override
-    public boolean canBreatheUnderwater()
-    {
-        return gamemode.isPlayerInvulnerable();
+    public boolean canBreatheUnderwater() {
+        return this.gamemode.isPlayerInvulnerable();
     }
-    
-    public @NotNull Gamemode getGamemode()
-    {
-        return gamemode;
+
+    public @NotNull Gamemode getGamemode() {
+        return this.gamemode;
     }
 
 
-    public void setGamemodeOnLogin(Gamemode gamemode)
-    {
+    public void setGamemodeOnLogin(Gamemode gamemode) {
         this.gamemode = gamemode;
 
-        MenuInventory newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
-        if (craftingInventory == inventorySlots)
-        {
-            craftingInventory = newContainer;
+        MenuInventory newContainer = gamemode.getContainer(this.inventory, !this.world.isClientSide);
+        if (this.craftingInventory == this.inventorySlots) {
+            this.craftingInventory = newContainer;
         }
-        inventorySlots = newContainer;
-        if (!gamemode.canPlayerFly())
-        {
-            noPhysics = false;
+        this.inventorySlots = newContainer;
+        if (!gamemode.canPlayerFly()) {
+            this.noPhysics = false;
         }
 
-        fireImmune = gamemode.isImmuneToFire();
+        this.fireImmune = gamemode.isImmuneToFire();
     }
 
-    public void setGamemode(Gamemode gamemode)
-    {
+    public void setGamemode(Gamemode gamemode) {
         this.gamemode = gamemode;
-        fireImmune = gamemode.isImmuneToFire();
+        this.fireImmune = gamemode.isImmuneToFire();
     }
 
-    public void setNoclip(final boolean noclip)
-	{
-		noPhysics = noclip;
-		if (noPhysics)
-		{
-			yd += 0.079f;
-		}
-	}
+    public void setNoclip(final boolean noclip) {
+        this.noPhysics = noclip;
+        if (this.noPhysics) {
+            this.yd += 0.079f;
+        }
+    }
 
-    public void setLastDeathPoint(TilePos lastDeathPos){
+    public void setLastDeathPoint(TilePos lastDeathPos) {
         this.lastDeathPoint = lastDeathPos;
     }
 
-    public TilePos getLastDeathPoint(){
-        return lastDeathPoint;
+    public TilePos getLastDeathPoint() {
+        return this.lastDeathPoint;
     }
 
     public void pickBlock(int x, int y, int z, boolean pickFully) {
-        Block<?> block = world.getBlock(x, y, z);
-    	int meta = world.getBlockMetadata(x, y, z);
-    	
-    	if(block == null) {
-    		return;
-    	}
-    	
-    	TileEntity tileEntity = world.getTileEntity(x, y, z);
-    	ItemStack[] result = block.getBreakResult(world, EnumDropCause.PICK_BLOCK, x, y, z, meta, tileEntity);
-    	ItemStack selectItem = result != null ? result[0] : null;
-    	
-    	if(selectItem == null) {
-    		return;
-    	}
-
-        if (pickFully && gamemode == Gamemode.creative && tileEntity != null) {
+        Block<?> block = this.world.getBlock(x, y, z);
+        int meta = this.world.getBlockMetadata(x, y, z);
+
+        if (block == null) {
+            return;
+        }
+
+        TileEntity tileEntity = this.world.getTileEntity(x, y, z);
+        ItemStack[] result = block.getBreakResult(this.world, EnumDropCause.PICK_BLOCK, x, y, z, meta, tileEntity);
+        ItemStack selectItem = result != null ? result[0] : null;
+
+        if (selectItem == null) {
+            return;
+        }
+
+        if (pickFully && this.gamemode == Gamemode.creative && tileEntity != null) {
             CompoundTag entityTag = new CompoundTag();
             tileEntity.writeAdditionalData(entityTag);
             selectItem.getData().put("tileEntityData", entityTag);
         }
 
-		//Find item in hotbar, and select it
-		for(int i=0; i < 9; i++) {
-			ItemStack stack = inventory.getItem(i + inventory.getHotbarOffset());
-			if(stack != null && stack.itemID == selectItem.itemID && stack.getMetadata() == selectItem.getMetadata() && stack.getData().equals(selectItem.getData())) {
-				setCurrentItem(i + inventory.getHotbarOffset());
-				return;
-			}
-		}
-		
-		//Find empty hotbar slot
-		int emptyHotbarSlot = -1;
-		int slot = inventory.getCurrentItemIndex();
-		for(int i=0; i < 9; i++) {
-			if(inventory.getItem(i + inventory.getHotbarOffset()) == null) {
-				emptyHotbarSlot = i + inventory.getHotbarOffset();
-				slot = i + inventory.getHotbarOffset();
-				break;
-			}
-		}
-		
-		//Find item with lowest stack size in inventory
-		int itemSlot = -1;
-		int stackSize = -1;
-		for(int i=0; i < 36; i++) {
-			ItemStack stack = inventory.getItem(i);
-			if(stack != null && stack.itemID == selectItem.itemID && stack.getMetadata() == selectItem.getMetadata() && stack.getData().equals(selectItem.getData())) {
-				if(stackSize == -1 || stack.stackSize < stackSize) {
-					itemSlot = i;
-					stackSize = stack.stackSize;
-				}
-			}
-		}
-		
-		if(itemSlot == -1) {
-			if(getGamemode() == Gamemode.creative) {
-				int emptySlot = -1;
-				for(int i = 0; i < 36; i++) {
-					if(inventory.getItem(i) == null) {
-						emptySlot = i;
-						break;
-					}
-				}
-				
-				int createItemInsertSlot = emptyHotbarSlot != -1 ? emptyHotbarSlot : inventory.getCurrentItemIndex();
-				selectItem.stackSize = 1;
-				if(emptySlot != -1) {
-					swapItems(emptySlot, createItemInsertSlot);
-				}
-				inventory.setItem(createItemInsertSlot, selectItem);
-				setCurrentItem(createItemInsertSlot);
-			}
-			
-			return;
-		}
-		
-		swapItems(slot, itemSlot);
-		setCurrentItem(slot);
-    }
-    
+        //Find item in hotbar, and select it
+        for (int i = 0; i < 9; i++) {
+            ItemStack stack = this.inventory.getItem(i + this.inventory.getHotbarOffset());
+            if (stack != null && stack.itemID == selectItem.itemID && stack.getMetadata() == selectItem.getMetadata() && stack.getData().equals(selectItem.getData())) {
+                setCurrentItem(i + this.inventory.getHotbarOffset());
+                return;
+            }
+        }
+
+        //Find empty hotbar slot
+        int emptyHotbarSlot = -1;
+        int slot = this.inventory.getCurrentItemIndex();
+        for (int i = 0; i < 9; i++) {
+            if (this.inventory.getItem(i + this.inventory.getHotbarOffset()) == null) {
+                emptyHotbarSlot = i + this.inventory.getHotbarOffset();
+                slot = i + this.inventory.getHotbarOffset();
+                break;
+            }
+        }
+
+        //Find item with lowest stack size in inventory
+        int itemSlot = -1;
+        int stackSize = -1;
+        for (int i = 0; i < 36; i++) {
+            ItemStack stack = this.inventory.getItem(i);
+            if (stack != null && stack.itemID == selectItem.itemID && stack.getMetadata() == selectItem.getMetadata() && stack.getData().equals(selectItem.getData())) {
+                if (stackSize == -1 || stack.stackSize < stackSize) {
+                    itemSlot = i;
+                    stackSize = stack.stackSize;
+                }
+            }
+        }
+
+        if (itemSlot == -1) {
+            if (getGamemode() == Gamemode.creative) {
+                int emptySlot = -1;
+                for (int i = 0; i < 36; i++) {
+                    if (this.inventory.getItem(i) == null) {
+                        emptySlot = i;
+                        break;
+                    }
+                }
+
+                int createItemInsertSlot = emptyHotbarSlot != -1 ? emptyHotbarSlot : this.inventory.getCurrentItemIndex();
+                selectItem.stackSize = 1;
+                if (emptySlot != -1) {
+                    swapItems(emptySlot, createItemInsertSlot);
+                }
+                this.inventory.setItem(createItemInsertSlot, selectItem);
+                setCurrentItem(createItemInsertSlot);
+            }
+
+            return;
+        }
+
+        swapItems(slot, itemSlot);
+        setCurrentItem(slot);
+    }
+
     public void setCurrentItem(int i) {
-        inventory.setCurrentItemIndex(i, false);
+        this.inventory.setCurrentItemIndex(i, false);
     }
-    
+
     public void swapItems(int slot1, int slot2) {
-        ItemStack stack1 = inventory.getItem(slot1);
-        ItemStack stack2 = inventory.getItem(slot2);
+        ItemStack stack1 = this.inventory.getItem(slot1);
+        ItemStack stack2 = this.inventory.getItem(slot2);
 
-        inventory.setItem(slot2, stack1);
-        inventory.setItem(slot1, stack2);
+        this.inventory.setItem(slot2, stack1);
+        this.inventory.setItem(slot1, stack2);
     }
-    public Item getNextArrow(){
+
+    public Item getNextArrow() {
         Item nextArrow = null;
         ItemStack quiverSlot = getItemInArmorSlot(HumanArmorShape.CHEST);
-        if(quiverSlot != null && quiverSlot.itemID == Items.ARMOR_QUIVER.id && quiverSlot.getMetadata() < quiverSlot.getMaxDamage()){
+        if (quiverSlot != null && quiverSlot.itemID == Items.ARMOR_QUIVER.id && quiverSlot.getMetadata() < quiverSlot.getMaxDamage()) {
             nextArrow = Items.AMMO_ARROW;
-        }
-        else if(quiverSlot != null && quiverSlot.itemID == Items.ARMOR_QUIVER_GOLD.id){
+        } else if (quiverSlot != null && quiverSlot.itemID == Items.ARMOR_QUIVER_GOLD.id) {
             nextArrow = Items.AMMO_ARROW_PURPLE;
-        }
-        else if (hasItem(Items.AMMO_ARROW_GOLD))
-        {
+        } else if (hasItem(Items.AMMO_ARROW_GOLD)) {
             nextArrow = Items.AMMO_ARROW_GOLD;
-        }
-        else if(hasItem(Items.AMMO_ARROW))
-        {
+        } else if (hasItem(Items.AMMO_ARROW)) {
             nextArrow = Items.AMMO_ARROW;
         }
         return nextArrow;
     }
-    public int getArrowId(){
-        return entityData.getInt(DATA_HELD_ARROW);
+
+    public int getArrowId() {
+        return this.entityData.getInt(DATA_HELD_ARROW);
     }
-    public boolean hasItem(Item item){
+
+    public boolean hasItem(Item item) {
         for (ItemStack stack : this.inventory.mainInventory) {
             if (stack != null && stack.getItem() == item) return true;
         }
@@ -1828,11 +1593,11 @@ public abstract class Player
 
         private void setToggle(boolean flag, int mask) {
             if (flag) {
-                config = (short) (config | mask);
+                this.config = (short) (this.config | mask);
             } else {
-                config = (short) (config & ~mask);
+                this.config = (short) (this.config & ~mask);
             }
-            if (listener != null) listener.onValueChange();
+            if (this.listener != null) this.listener.onValueChange();
         }
 
         public void assignListener(PlayerConfigListener listener) {
@@ -1840,32 +1605,84 @@ public abstract class Player
         }
 
         public boolean isLeftHand() {
-            return (config & MASK_LEFT_HAND) != 0;
-        }
-        public boolean capeEnabled() {return (config & MASK_CAPE) != 0;}
-        public boolean hatEnabled() {return (config & MASK_OUTER_HEAD) != 0;}
-        public boolean jacketEnabled() {return (config & MASK_OUTER_TORSO) != 0;}
-        public boolean sleeveLeftEnabled() {return (config & MASK_OUTER_ARM_LEFT) != 0;}
-        public boolean sleeveRightEnabled() {return (config & MASK_OUTER_ARM_RIGHT) != 0;}
-        public boolean pantLeftEnabled() {return (config & MASK_OUTER_LEG_LEFT) != 0;}
-        public boolean pantRightEnabled() {return (config & MASK_OUTER_LEG_RIGHT) != 0;}
-        public boolean devModelEnabled() {return (config & MASK_DEV_MODEL) != 0;}
+            return (this.config & MASK_LEFT_HAND) != 0;
+        }
+
+        public boolean capeEnabled() {
+            return (this.config & MASK_CAPE) != 0;
+        }
+
+        public boolean hatEnabled() {
+            return (this.config & MASK_OUTER_HEAD) != 0;
+        }
+
+        public boolean jacketEnabled() {
+            return (this.config & MASK_OUTER_TORSO) != 0;
+        }
+
+        public boolean sleeveLeftEnabled() {
+            return (this.config & MASK_OUTER_ARM_LEFT) != 0;
+        }
+
+        public boolean sleeveRightEnabled() {
+            return (this.config & MASK_OUTER_ARM_RIGHT) != 0;
+        }
+
+        public boolean pantLeftEnabled() {
+            return (this.config & MASK_OUTER_LEG_LEFT) != 0;
+        }
+
+        public boolean pantRightEnabled() {
+            return (this.config & MASK_OUTER_LEG_RIGHT) != 0;
+        }
+
+        public boolean devModelEnabled() {
+            return (this.config & MASK_DEV_MODEL) != 0;
+        }
+
         public @NotNull HurtSound hurtSound() {
-            return HurtSound.getHurtSoundFromId((config & MASK_HURT_SOUND) >> 8);
-        }
-
-        public void setLeftHand(boolean leftHand) {setToggle(leftHand, MASK_LEFT_HAND);}
-        public void setCape(boolean cape) {setToggle(cape, MASK_CAPE);}
-        public void setHat(boolean hat) {setToggle(hat, MASK_OUTER_HEAD);}
-        public void setJacket(boolean jacket) {setToggle(jacket, MASK_OUTER_TORSO);}
-        public void setSleeveLeft(boolean sleeveLeft) {setToggle(sleeveLeft, MASK_OUTER_ARM_LEFT);}
-        public void setSleeveRight(boolean sleeveRight) {setToggle(sleeveRight, MASK_OUTER_ARM_RIGHT);}
-        public void setPantLeft(boolean pantLeft) {setToggle(pantLeft, MASK_OUTER_LEG_LEFT);}
-        public void setPantRight(boolean pantRight) {setToggle(pantRight, MASK_OUTER_LEG_RIGHT);}
-        public void setDevModelEnabled(boolean pantRight) {setToggle(pantRight, MASK_DEV_MODEL);}
+            return HurtSound.getHurtSoundFromId((this.config & MASK_HURT_SOUND) >> 8);
+        }
+
+        public void setLeftHand(boolean leftHand) {
+            setToggle(leftHand, MASK_LEFT_HAND);
+        }
+
+        public void setCape(boolean cape) {
+            setToggle(cape, MASK_CAPE);
+        }
+
+        public void setHat(boolean hat) {
+            setToggle(hat, MASK_OUTER_HEAD);
+        }
+
+        public void setJacket(boolean jacket) {
+            setToggle(jacket, MASK_OUTER_TORSO);
+        }
+
+        public void setSleeveLeft(boolean sleeveLeft) {
+            setToggle(sleeveLeft, MASK_OUTER_ARM_LEFT);
+        }
+
+        public void setSleeveRight(boolean sleeveRight) {
+            setToggle(sleeveRight, MASK_OUTER_ARM_RIGHT);
+        }
+
+        public void setPantLeft(boolean pantLeft) {
+            setToggle(pantLeft, MASK_OUTER_LEG_LEFT);
+        }
+
+        public void setPantRight(boolean pantRight) {
+            setToggle(pantRight, MASK_OUTER_LEG_RIGHT);
+        }
+
+        public void setDevModelEnabled(boolean pantRight) {
+            setToggle(pantRight, MASK_DEV_MODEL);
+        }
+
         public void setHurtSound(@NotNull HurtSound hurtSound) {
             this.config = (short) ((this.config & ~MASK_HURT_SOUND) | ((hurtSound.ordinal() << 8) & MASK_HURT_SOUND));
-            if (listener != null) listener.onValueChange();
+            if (this.listener != null) this.listener.onValueChange();
         }
 
         public interface PlayerConfigListener {
@@ -1879,6 +1696,7 @@ public abstract class Player
 
             private static final HurtSound[] hurtSounds = new HurtSound[16];
             private static int maxHurtSound;
+
             static {
                 for (HurtSound sound : values()) {
                     hurtSounds[sound.ordinal()] = sound;
